CentOS上LNMP一键安装包 PHP5.4升级至5.6

411次阅读
没有评论

共计 658 个字符,预计需要花费 2 分钟才能阅读完成。

环境使用 LNMP 搭建,请注意!

查看自己 PHP 版本

  1. php -v

CentOS 上 LNMP 一键安装包 PHP5.4 升级至 5.6

只能有低版本升级到高版本不能降级。可以升级到现有 PHP 5.2.14 到 PHP 5.3.5 除 5.3.0、5.3.1、5.3.2 的几个过渡版本之外的 PHP 版本,如果 PHP 发布新的版本,只有安装方式上不发生变化就可以一直使用。注意:升级 PHP 后 eaccelerator、ionCube 需要重新安装(不能使用 lnmp0.6 中的脚本安装!!)。

升级脚本使用方法:(PS:可能会出现 wget 命令不能执行,解决办法→解决执行 wget 命令提示 -bash: wget: command not found)

  1. wget http://soft.vpser.net/lnmp/upgrade_php.sh;/bin/bash upgrade_php.sh

CentOS 上 LNMP 一键安装包 PHP5.4 升级至 5.6

最后完成安装

CentOS 上 LNMP 一键安装包 PHP5.4 升级至 5.6

注意:版本号一定要输入正确否则将会升级失败!

升级后将会使用 /etc/init.d/php-fpm {start|stop|quit|restart|reload|logrotate} 进行管理。

例如:开启 PHP 服务

  1. lnmp php-fpm start

php-fpm 配置文件路径为:/usr/local/php/etc/php-fpm.conf

php 配置文件路径为:/usr/local/php/etc/php.ini

 

注意:升级到 PHP 后可能部分 PHP 程序会存在兼容性问题。 升级有风险,升级需谨慎。升级有风险,升级需谨慎。升级有风险,升级需谨慎。 虽然脚本会自动备份配置文件,建议升级前最好还是自己备份一下。*。

生产环境请谨慎升级!!!!

正文完
 0
水东柳
版权声明:本站原创文章,由 水东柳 2018-08-03发表,共计658字。
转载说明:除特殊说明外本站文章皆由CC-4.0协议发布,转载请注明出处。
评论(没有评论)